<?xml version="1.0" encoding="UTF-8"?>
<testsuite xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://maven.apache.org/surefire/maven-surefire-plugin/xsd/surefire-test-report-3.0.xsd" version="3.0" name="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest$CascadeAssociationOnly" time="0.032" tests="12" errors="0" skipped="0" failures="0">
  <properties>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="sun.cpu.isalist" value=""/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="java.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="java.vm.vendor" value="Private Build"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="os.name" value="Linux"/>
    <property name="user.country" value="FR"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.boot.library.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/amd64"/>
    <property name="sun.java.command" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar /jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire 2026-05-19T05-30-38_739-jvmRun1 surefire-20260519053109587_108tmp surefire_4-20260519053109587_109tmp"/>
    <property name="surefire.test.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/test-classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/classes:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql/target/stalactite-sql-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/reflection/1.1.2-SNAPSHOT/reflection-1.1.2-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.1-SNAPSHOT/tools-1.1.1-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/danekja/jdk-serializable-functional/1.8.2/jdk-serializable-functional-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-api/1.7.36/slf4j-api-1.7.36.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-collections4/4.4/commons-collections4-4.4.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/var/lib/jenkins/.m2/repository/org/hsqldb/hsqldb/2.7.4/hsqldb-2.7.4-jdk8.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/sql-adapter/sql-hsqldb-adapter/target/stalactite-sql-hsqldb-adapter-3.0.0-SNAPSHOT-tests.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core-adapter/core-hsqldb-adapter/target/stalactite-core-hsqldb-adapter-3.0.0-SNAPSHOT.jar:/jenkins/work/agent-local/workspace/Stalactite pipeline/core/target/stalactite-core-3.0.0-SNAPSHOT-tests.jar:/var/lib/jenkins/.m2/repository/org/slf4j/slf4j-reload4j/1.7.36/slf4j-reload4j-1.7.36.jar:/var/lib/jenkins/.m2/repository/ch/qos/reload4j/reload4j/1.2.19/reload4j-1.2.19.jar:/var/lib/jenkins/.m2/repository/org/apache/commons/commons-lang3/3.12.0/commons-lang3-3.12.0.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter/5.8.2/junit-jupiter-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-api/5.8.2/junit-jupiter-api-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/opentest4j/opentest4j/1.2.0/opentest4j-1.2.0.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-commons/1.8.2/junit-platform-commons-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/apiguardian/apiguardian-api/1.1.2/apiguardian-api-1.1.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-params/5.8.2/junit-jupiter-params-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/jupiter/junit-jupiter-engine/5.8.2/junit-jupiter-engine-5.8.2.jar:/var/lib/jenkins/.m2/repository/org/junit/platform/junit-platform-engine/1.8.2/junit-platform-engine-1.8.2.jar:/var/lib/jenkins/.m2/repository/org/codefilarete/tools/1.1.0/tools-1.1.0-tests.jar:/var/lib/jenkins/.m2/repository/com/google/code/findbugs/jsr305/3.0.2/jsr305-3.0.2.jar:/var/lib/jenkins/.m2/repository/org/mockito/mockito-core/4.3.1/mockito-core-4.3.1.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy/1.12.7/byte-buddy-1.12.7.jar:/var/lib/jenkins/.m2/repository/net/bytebuddy/byte-buddy-agent/1.12.7/byte-buddy-agent-1.12.7.jar:/var/lib/jenkins/.m2/repository/org/objenesis/objenesis/3.2/objenesis-3.2.jar:/var/lib/jenkins/.m2/repository/org/assertj/assertj-core/3.23.1/assertj-core-3.23.1.jar:"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="user.home" value="/var/lib/jenkins"/>
    <property name="user.language" value="fr"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="java.home" value="/usr/lib/jvm/java-8-openjdk-amd64/jre"/>
    <property name="basedir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="file.separator" value="/"/>
    <property name="line.separator" value="&#10;"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="surefire.real.class.path" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm/target/surefire/surefirebooter-20260519053109587_110.jar:/var/lib/jenkins/.m2/repository/org/jacoco/org.jacoco.agent/0.8.5/org.jacoco.agent-0.8.5-runtime.jar"/>
    <property name="sun.boot.class.path" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/resources.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/rt.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/sunrsasign.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jsse.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jce.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/charsets.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/jfr.jar:/usr/lib/jvm/java-8-openjdk-amd64/jre/classes"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="java.runtime.version" value="1.8.0_482-8u482-ga~us1-0ubuntu1~24.04-b08"/>
    <property name="user.name" value="jenkins"/>
    <property name="path.separator" value=":"/>
    <property name="os.version" value="6.8.0-107-generic"/>
    <property name="java.endorsed.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/endorsed"/>
    <property name="java.runtime.name" value="OpenJDK Runtime Environment"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="java.vm.name" value="OpenJDK 64-Bit Server VM"/>
    <property name="localRepository" value="/var/lib/jenkins/.m2/repository"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="java.version" value="1.8.0_482"/>
    <property name="user.dir" value="/jenkins/work/agent-local/workspace/Stalactite pipeline/orm"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib/x86_64-linux-gnu/jni:/lib/x86_64-linux-gnu:/usr/lib/x86_64-linux-gnu:/usr/lib/jni:/lib:/usr/lib"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="java.vendor" value="Private Build"/>
    <property name="java.vm.version" value="25.482-b08"/>
    <property name="java.specification.maintenance.version" value="6"/>
    <property name="java.ext.dirs" value="/usr/lib/jvm/java-8-openjdk-amd64/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="java.class.version" value="52.0"/>
  </properties>
  <testcase name="select_noRecordInAssociationTable_mustReturnEmptyCollection" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest" time="0.009">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	SelectExecutor	selecting entities in 1 chunks
2026-05-19 05:31:19	TRACE	SQLOperation	select sequence_name, next_val from sequence_table where sequence_name in (?) | {sequence_table.sequence_name=Toto}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	update sequence_table set next_val = ? where sequence_name = ? | {1={sequence_table.sequence_name (W)=Toto, sequence_table.next_val (U)=40}}
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer(id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer_choices(answer_id int not null, choices_id int not null, unique (answer_id, choices_id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Choice(label varchar(255), id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_answer_id_Answer_id foreign key(answer_id) references Answer(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_choices_id_Choice_id foreign key(choices_id) references Choice(id)
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistedIdentifier@42]
2026-05-19 05:31:19	TRACE	SQLOperation	select Answer.id as Answer_id, Answer_choices_Choice.label as Answer_choices_Choice_label, Answer_choices_Choice.id as Answer_choices_Choice_id from Answer left outer join Answer_choices as Answer_choices on Answer.id = Answer_choices.answer_id left outer join Choice as Answer_choices_Choice on Answer_choices.choices_id = Answer_choices_Choice.id where Answer.id in (?) | {1=o.c.s.i.PersistedIdentifier@42}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
]]></system-out>
  </testcase>
  <testcase name="crud_relationContainsOneToMany" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest" time="0.012">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer(id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer_choices(answer_id int not null, choices_id int not null, unique (answer_id, choices_id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Choice(label varchar(255), id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_choices_id_Choice_id foreign key(choices_id) references Choice(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_answer_id_Answer_id foreign key(answer_id) references Answer(id)
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer(id) values (?) | {1={Answer.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Choice(label, id) values (?, ?) | {1={Choice.label=Lyon, Choice.id=o.c.s.i.PersistableIdentifier@17}, 2={Choice.label=Grenoble, Choice.id=o.c.s.i.PersistableIdentifier@13}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer_choices(answer_id, choices_id) values (?, ?) | {1={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@17}, 2={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@13}}
2026-05-19 05:31:19	TRACE	SQLOperation	select answer_id from answer_choices | {}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@1]
2026-05-19 05:31:19	TRACE	SQLOperation	select Answer.id as Answer_id, Answer_choices_Choice.label as Answer_choices_Choice_label, Answer_choices_Choice.id as Answer_choices_Choice_id from Answer left outer join Answer_choices as Answer_choices on Answer.id = Answer_choices.answer_id left outer join Choice as Answer_choices_Choice on Answer_choices.choices_id = Answer_choices_Choice.id where Answer.id in (?) | {1=o.c.s.i.PersistableIdentifier@1}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	delete from Answer_choices where answer_id = ? and choices_id = ? | {1={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@17}}
2026-05-19 05:31:19	TRACE	SQLOperation	select answer_id from answer_choices | {}
2026-05-19 05:31:19	TRACE	SQLOperation	select id from choice | {}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	delete from Answer_choices where answer_id = ? and choices_id = ? | {1={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@13}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	delete from Answer where id = ? | {1={Answer.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:19	TRACE	SQLOperation	select answer_id from answer_choices | {}
]]></system-out>
  </testcase>
  <testcase name="select_collectionFactory" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest" time="0.008">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer(id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer_choices(answer_id int not null, choices_id int not null, unique (answer_id, choices_id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Choice(label varchar(255), id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_choices_id_Choice_id foreign key(choices_id) references Choice(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_answer_id_Answer_id foreign key(answer_id) references Answer(id)
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistedIdentifier@42]
2026-05-19 05:31:19	TRACE	SQLOperation	select Answer.id as Answer_id, Answer_choices_Choice.label as Answer_choices_Choice_label, Answer_choices_Choice.id as Answer_choices_Choice_id from Answer left outer join Answer_choices as Answer_choices on Answer.id = Answer_choices.answer_id left outer join Choice as Answer_choices_Choice on Answer_choices.choices_id = Answer_choices_Choice.id where Answer.id in (?) | {1=o.c.s.i.PersistedIdentifier@42}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
]]></system-out>
  </testcase>
  <testcase name="bidirectionality_reverseCollection" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest" time="0.014">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Author(name varchar(255), id bigint GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Book(isbn varchar(255), price double, title varchar(255), id bigint GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Book_authors(book_id bigint not null, authors_id bigint not null, unique (book_id, authors_id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Book_authors add constraint FK_Book_authors_authors_id_Author_id foreign key(authors_id) references Author(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Book_authors add constraint FK_Book_authors_book_id_Book_id foreign key(book_id) references Book(id)
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book(title, isbn, price, id) values (?, ?, ?, default) | {1={Book.price=24.1, Book.isbn=AAA-BBB-CCC, Book.title=a first book}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Author(name, id) values (?, default) | {1={Author.name=John Doe}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book_authors(book_id, authors_id) values (?, ?) | {1={Book_authors.book_id=1, Book_authors.authors_id=1}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book(title, isbn, price, id) values (?, ?, ?, default) | {1={Book.price=33.5, Book.isbn=XXX-YYY-ZZZ, Book.title=a second book}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Author(name, id) values (?, default) | {1={Author.name=Jane Doe}}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:19	TRACE	SQLOperation	select Author.name as Author_name, Author.id as Author_id from Author where Author.id in (?) | {1=1}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Author
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book_authors(book_id, authors_id) values (?, ?) | {1={Book_authors.book_id=2, Book_authors.authors_id=1}, 2={Book_authors.book_id=2, Book_authors.authors_id=2}}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [1, 2]
2026-05-19 05:31:19	TRACE	SQLOperation	select Book.title as Book_title, Book.isbn as Book_isbn, Book.price as Book_price, Book.id as Book_id, Book_authors_Author.name as Book_authors_Author_name, Book_authors_Author.id as Book_authors_Author_id from Book left outer join Book_authors as Book_authors on Book.id = Book_authors.book_id left outer join Author as Book_authors_Author on Book_authors.authors_id = Book_authors_Author.id where Book.id in (?, ?) | {1=1, 2=2}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Book
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.b.Book#1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.b.Book#1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Book
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.b.Book#2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.b.Book#2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Book
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.b.Book#2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.b.Book#2
]]></system-out>
  </testcase>
  <testcase name="bidirectionality_reverselySetBy" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest" time="0.014">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Author(name varchar(255), id bigint GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Book(isbn varchar(255), price double, title varchar(255), id bigint GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Book_authors(book_id bigint not null, authors_id bigint not null, unique (book_id, authors_id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Book_authors add constraint FK_Book_authors_authors_id_Author_id foreign key(authors_id) references Author(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Book_authors add constraint FK_Book_authors_book_id_Book_id foreign key(book_id) references Book(id)
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book(title, isbn, price, id) values (?, ?, ?, default) | {1={Book.title=a first book, Book.isbn=AAA-BBB-CCC, Book.price=24.1}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Author(name, id) values (?, default) | {1={Author.name=John Doe}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book_authors(book_id, authors_id) values (?, ?) | {1={Book_authors.book_id=1, Book_authors.authors_id=1}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book(title, isbn, price, id) values (?, ?, ?, default) | {1={Book.title=a second book, Book.isbn=XXX-YYY-ZZZ, Book.price=33.5}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Author(name, id) values (?, default) | {1={Author.name=Jane Doe}}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:19	TRACE	SQLOperation	select Author.name as Author_name, Author.id as Author_id from Author where Author.id in (?) | {1=1}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Author
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book_authors(book_id, authors_id) values (?, ?) | {1={Book_authors.book_id=2, Book_authors.authors_id=1}, 2={Book_authors.book_id=2, Book_authors.authors_id=2}}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [1, 2]
2026-05-19 05:31:19	TRACE	SQLOperation	select Book.title as Book_title, Book.isbn as Book_isbn, Book.price as Book_price, Book.id as Book_id, Book_authors_Author.name as Book_authors_Author_name, Book_authors_Author.id as Book_authors_Author_id from Book left outer join Book_authors as Book_authors on Book.id = Book_authors.book_id left outer join Author as Book_authors_Author on Book_authors.authors_id = Book_authors_Author.id where Book.id in (?, ?) | {1=1, 2=2}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Book
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.b.Book#1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.b.Book#1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Book
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.b.Book#2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.b.Book#2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Book
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.b.Book#2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.b.Book#2
]]></system-out>
  </testcase>
  <testcase name="bidirectionality_reverseInitializedWith" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest" time="0.012">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Author(name varchar(255), id bigint GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Book(isbn varchar(255), price double, title varchar(255), id bigint GENERATED ALWAYS AS IDENTITY (START WITH 1, INCREMENT BY 1) not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Book_authors(book_id bigint not null, authors_id bigint not null, unique (book_id, authors_id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Book_authors add constraint FK_Book_authors_book_id_Book_id foreign key(book_id) references Book(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Book_authors add constraint FK_Book_authors_authors_id_Author_id foreign key(authors_id) references Author(id)
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book(title, isbn, price, id) values (?, ?, ?, default) | {1={Book.isbn=AAA-BBB-CCC, Book.title=a first book, Book.price=24.1}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Author(name, id) values (?, default) | {1={Author.name=John Doe}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book_authors(book_id, authors_id) values (?, ?) | {1={Book_authors.authors_id=1, Book_authors.book_id=1}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book(title, isbn, price, id) values (?, ?, ?, default) | {1={Book.isbn=XXX-YYY-ZZZ, Book.title=a second book, Book.price=33.5}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Author(name, id) values (?, default) | {1={Author.name=Jane Doe}}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [1]
2026-05-19 05:31:19	TRACE	SQLOperation	select Author.name as Author_name, Author.id as Author_id from Author where Author.id in (?) | {1=1}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Author
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Book_authors(book_id, authors_id) values (?, ?) | {1={Book_authors.authors_id=1, Book_authors.book_id=2}, 2={Book_authors.authors_id=2, Book_authors.book_id=2}}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [1, 2]
2026-05-19 05:31:19	TRACE	SQLOperation	select Book.title as Book_title, Book.isbn as Book_isbn, Book.price as Book_price, Book.id as Book_id, Book_authors_Author.name as Book_authors_Author_name, Book_authors_Author.id as Book_authors_Author_id from Book left outer join Book_authors as Book_authors on Book.id = Book_authors.book_id left outer join Author as Book_authors_Author on Book_authors.authors_id = Book_authors_Author.id where Book.id in (?, ?) | {1=1, 2=2}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Book
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.b.Book#1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.b.Book#1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Book
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.b.Book#2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.b.Book#2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.b.Book
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.b.Book#2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.b.Book#2
]]></system-out>
  </testcase>
  <testcase name="crud_relationContainsManyToMany_indexed" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest" time="0.012">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer(id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer_choices(answer_id int not null, choices_id int not null, myIdx integer, unique (answer_id, choices_id, myIdx))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Choice(label varchar(255), id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_answer_id_Answer_id foreign key(answer_id) references Answer(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_choices_id_Choice_id foreign key(choices_id) references Choice(id)
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer(id) values (?) | {1={Answer.id=o.c.s.i.PersistableIdentifier@1}, 2={Answer.id=o.c.s.i.PersistableIdentifier@2}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Choice(label, id) values (?, ?) | {1={Choice.id=o.c.s.i.PersistableIdentifier@17, Choice.label=Lyon}, 2={Choice.id=o.c.s.i.PersistableIdentifier@13, Choice.label=Grenoble}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 4 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer_choices(myIdx, answer_id, choices_id) values (?, ?, ?) | {1={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1, Answer_choices.myIdx=1, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@17}, 2={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@2, Answer_choices.myIdx=2, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@17}, 3={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1, Answer_choices.myIdx=2, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@13}, 4={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@2, Answer_choices.myIdx=1, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@13}}
2026-05-19 05:31:19	TRACE	SQLOperation	select answer_id, choices_id, myIdx from answer_choices | {}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@1]
2026-05-19 05:31:19	TRACE	SQLOperation	select Answer.id as Answer_id, Answer_choices.answer_id as Answer_choices_answer_id, Answer_choices.choices_id as Answer_choices_choices_id, Answer_choices.myIdx as Answer_choices_myIdx, Answer_choices_Choice.label as Answer_choices_Choice_label, Answer_choices_Choice.id as Answer_choices_Choice_id from Answer left outer join Answer_choices as Answer_choices on Answer.id = Answer_choices.answer_id left outer join Choice as Answer_choices_Choice on Answer_choices.choices_id = Answer_choices_Choice.id where Answer.id in (?) | {1=o.c.s.i.PersistableIdentifier@1}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@2]
2026-05-19 05:31:19	TRACE	SQLOperation	select Answer.id as Answer_id, Answer_choices.answer_id as Answer_choices_answer_id, Answer_choices.choices_id as Answer_choices_choices_id, Answer_choices.myIdx as Answer_choices_myIdx, Answer_choices_Choice.label as Answer_choices_Choice_label, Answer_choices_Choice.id as Answer_choices_Choice_id from Answer left outer join Answer_choices as Answer_choices on Answer.id = Answer_choices.answer_id left outer join Choice as Answer_choices_Choice on Answer_choices.choices_id = Answer_choices_Choice.id where Answer.id in (?) | {1=o.c.s.i.PersistableIdentifier@2}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
]]></system-out>
  </testcase>
  <testcase name="crud_relationContainsManyToMany_indexed_siblingProperties" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest" time="0.016">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer(id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer_choices(answer_id int not null, choices_id int not null, myIdx integer, unique (answer_id, choices_id, myIdx))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer_secondaryChoices(answer_id int not null, secondaryChoices_id int not null, myIdx2 integer, unique (answer_id, secondaryChoices_id, myIdx2))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Choice(label varchar(255), id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_answer_id_Answer_id foreign key(answer_id) references Answer(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_choices_id_Choice_id foreign key(choices_id) references Choice(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_secondaryChoices add constraint FK_Answer_secondaryChoices_secondaryChoices_id_Choice_id foreign key(secondaryChoices_id) references Choice(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_secondaryChoices add constraint FK_Answer_secondaryChoices_answer_id_Answer_id foreign key(answer_id) references Answer(id)
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer(id) values (?) | {1={Answer.id=o.c.s.i.PersistableIdentifier@1}, 2={Answer.id=o.c.s.i.PersistableIdentifier@2}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Choice(label, id) values (?, ?) | {1={Choice.label=Lyon, Choice.id=o.c.s.i.PersistableIdentifier@17}, 2={Choice.label=Grenoble, Choice.id=o.c.s.i.PersistableIdentifier@13}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 4 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer_choices(myIdx, answer_id, choices_id) values (?, ?, ?) | {1={Answer_choices.myIdx=1, Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@17}, 2={Answer_choices.myIdx=2, Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@2, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@17}, 3={Answer_choices.myIdx=2, Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@13}, 4={Answer_choices.myIdx=1, Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@2, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@13}}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@17, o.c.s.i.PersistableIdentifier@13]
2026-05-19 05:31:19	TRACE	SQLOperation	select Choice.label as Choice_label, Choice.id as Choice_id from Choice where Choice.id in (?, ?) | {1=o.c.s.i.PersistableIdentifier@17, 2=o.c.s.i.PersistableIdentifier@13}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Choice
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Choice
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 4 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer_secondaryChoices(myIdx2, answer_id, secondaryChoices_id) values (?, ?, ?) | {1={Answer_secondaryChoices.myIdx2=1, Answer_secondaryChoices.secondaryChoices_id=o.c.s.i.PersistableIdentifier@17, Answer_secondaryChoices.answer_id=o.c.s.i.PersistableIdentifier@1}, 2={Answer_secondaryChoices.myIdx2=2, Answer_secondaryChoices.secondaryChoices_id=o.c.s.i.PersistableIdentifier@17, Answer_secondaryChoices.answer_id=o.c.s.i.PersistableIdentifier@2}, 3={Answer_secondaryChoices.myIdx2=2, Answer_secondaryChoices.secondaryChoices_id=o.c.s.i.PersistableIdentifier@13, Answer_secondaryChoices.answer_id=o.c.s.i.PersistableIdentifier@1}, 4={Answer_secondaryChoices.myIdx2=1, Answer_secondaryChoices.secondaryChoices_id=o.c.s.i.PersistableIdentifier@13, Answer_secondaryChoices.answer_id=o.c.s.i.PersistableIdentifier@2}}
2026-05-19 05:31:19	TRACE	SQLOperation	select answer_id, choices_id, myIdx from answer_choices | {}
2026-05-19 05:31:19	TRACE	SQLOperation	select answer_id, secondaryChoices_id, myIdx2 from answer_secondaryChoices | {}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@1, o.c.s.i.PersistableIdentifier@2]
2026-05-19 05:31:19	TRACE	SQLOperation	select Answer.id as Answer_id, Answer_choices.answer_id as Answer_choices_answer_id, Answer_choices.choices_id as Answer_choices_choices_id, Answer_choices.myIdx as Answer_choices_myIdx, Answer_secondaryChoices.answer_id as Answer_secondaryChoices_answer_id, Answer_secondaryChoices.secondaryChoices_id as Answer_secondaryChoices_secondaryChoices_id, Answer_secondaryChoices.myIdx2 as Answer_secondaryChoices_myIdx2, Answer_choices_Choice.label as Answer_choices_Choice_label, Answer_choices_Choice.id as Answer_choices_Choice_id, Answer_secondaryChoices_Choice.label as Answer_secondaryChoices_Choice_label, Answer_secondaryChoices_Choice.id as Answer_secondaryChoices_Choice_id from Answer left outer join Answer_choices as Answer_choices on Answer.id = Answer_choices.answer_id left outer join Answer_secondaryChoices as Answer_secondaryChoices on Answer.id = Answer_secondaryChoices.answer_id left outer join Choice as Answer_choices_Choice on Answer_choices.choices_id = Answer_choices_Choice.id left outer join Choice as Answer_secondaryChoices_Choice on Answer_secondaryChoices.secondaryChoices_id = Answer_secondaryChoices_Choice.id where Answer.id in (?, ?) | {1=o.c.s.i.PersistableIdentifier@1, 2=o.c.s.i.PersistableIdentifier@2}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@2
]]></system-out>
  </testcase>
  <testcase name="crud_relationContainsManyToMany" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest" time="0.011">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer(id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer_choices(answer_id int not null, choices_id int not null, unique (answer_id, choices_id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Choice(label varchar(255), id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_choices_id_Choice_id foreign key(choices_id) references Choice(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_answer_id_Answer_id foreign key(answer_id) references Answer(id)
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer(id) values (?) | {1={Answer.id=o.c.s.i.PersistableIdentifier@1}, 2={Answer.id=o.c.s.i.PersistableIdentifier@2}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Choice(label, id) values (?, ?) | {1={Choice.id=o.c.s.i.PersistableIdentifier@17, Choice.label=Lyon}, 2={Choice.id=o.c.s.i.PersistableIdentifier@13, Choice.label=Grenoble}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 4 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer_choices(answer_id, choices_id) values (?, ?) | {1={Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@17, Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@2}, 2={Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@17, Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1}, 3={Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@13, Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@2}, 4={Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@13, Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:19	TRACE	SQLOperation	select answer_id from answer_choices | {}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@1]
2026-05-19 05:31:19	TRACE	SQLOperation	select Answer.id as Answer_id, Answer_choices_Choice.label as Answer_choices_Choice_label, Answer_choices_Choice.id as Answer_choices_Choice_id from Answer left outer join Answer_choices as Answer_choices on Answer.id = Answer_choices.answer_id left outer join Choice as Answer_choices_Choice on Answer_choices.choices_id = Answer_choices_Choice.id where Answer.id in (?) | {1=o.c.s.i.PersistableIdentifier@1}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@1
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	delete from Answer_choices where answer_id = ? and choices_id = ? | {1={Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@17, Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:19	TRACE	SQLOperation	select answer_id from answer_choices | {}
2026-05-19 05:31:19	TRACE	SQLOperation	select id from choice | {}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	delete from Answer_choices where answer_id = ? and choices_id = ? | {1={Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@13, Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	delete from Answer where id = ? | {1={Answer.id=o.c.s.i.PersistableIdentifier@1}}
2026-05-19 05:31:19	TRACE	SQLOperation	select answer_id from answer_choices | {}
]]></system-out>
  </testcase>
  <testcase name="delete_associationRecordsMustBeDeleted_butNotTargetEntities" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest$CascadeAssociationOnly" time="0.011">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer(id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer_choices(answer_id int not null, choices_id int not null, unique (answer_id, choices_id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Choice(label varchar(255), id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_answer_id_Answer_id foreign key(answer_id) references Answer(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_choices_id_Choice_id foreign key(choices_id) references Choice(id)
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	delete from Answer_choices where answer_id = ? and choices_id = ? | {1={Answer_choices.choices_id=o.c.s.i.PersistedIdentifier@100, Answer_choices.answer_id=o.c.s.i.PersistedIdentifier@42}, 2={Answer_choices.choices_id=o.c.s.i.PersistedIdentifier@200, Answer_choices.answer_id=o.c.s.i.PersistedIdentifier@42}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	delete from Answer where id = ? | {1={Answer.id=o.c.s.i.PersistedIdentifier@42}}
2026-05-19 05:31:19	TRACE	SQLOperation	select count(*) as answerCount from Answer where id = 42 | {}
2026-05-19 05:31:19	TRACE	SQLOperation	select count(*) as relationCount from Answer_choices where answer_Id = 42 | {}
2026-05-19 05:31:19	TRACE	SQLOperation	select id from Choice where id in (100, 200) | {}
2026-05-19 05:31:19	TRACE	SQLOperation	select id from Answer where id = 666 | {}
2026-05-19 05:31:19	TRACE	SQLOperation	select id from Choice where id = 300 | {}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	delete from Answer_choices where answer_id = ? and choices_id = ? | {1={Answer_choices.choices_id=o.c.s.i.PersistedIdentifier@300, Answer_choices.answer_id=o.c.s.i.PersistedIdentifier@666}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	delete from Answer where id = ? | {1={Answer.id=o.c.s.i.PersistedIdentifier@666}}
2026-05-19 05:31:19	TRACE	SQLOperation	select count(*) as answerCount from Answer where id = 666 | {}
2026-05-19 05:31:19	TRACE	SQLOperation	select count(*) as relationCount from Answer_choices where answer_Id = 666 | {}
2026-05-19 05:31:19	TRACE	SQLOperation	select id from Choice where id = 300 | {}
]]></system-out>
  </testcase>
  <testcase name="insert_associationRecordsMustBeInserted_butNotTargetEntities" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest$CascadeAssociationOnly" time="0.008">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer(id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer_choices(answer_id int not null, choices_id int not null, unique (answer_id, choices_id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Choice(label varchar(255), id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_answer_id_Answer_id foreign key(answer_id) references Answer(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_choices_id_Choice_id foreign key(choices_id) references Choice(id)
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer(id) values (?) | {1={Answer.id=o.c.s.i.PersistableIdentifier@42}, 2={Answer.id=o.c.s.i.PersistableIdentifier@666}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 3 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer_choices(answer_id, choices_id) values (?, ?) | {1={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@666, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@300}, 2={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@42, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@100}, 3={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@42, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@200}}
2026-05-19 05:31:19	TRACE	SQLOperation	select id from Answer where id in (42, 666) | {}
2026-05-19 05:31:19	TRACE	SQLOperation	select choices_Id from Answer_choices where answer_id in (42, 666) | {}
]]></system-out>
  </testcase>
  <testcase name="update_associationRecordsMustBeUpdated_butNotTargetEntities" classname="org.codefilarete.stalactite.engine.FluentEntityMappingConfigurationSupportManyToManyTest$CascadeAssociationOnly" time="0.011">
    <system-out><![CDATA[2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer(comment varchar(255), id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Answer_choices(answer_id int not null, choices_id int not null, unique (answer_id, choices_id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	create table Choice(label varchar(255), id int not null, unique (id))
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_choices_id_Choice_id foreign key(choices_id) references Choice(id)
2026-05-19 05:31:19	DEBUG	DDLDeployer	alter table Answer_choices add constraint FK_Answer_choices_answer_id_Answer_id foreign key(answer_id) references Answer(id)
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 1 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer(comment, id) values (?, ?) | {1={Answer.comment=Hello world !, Answer.id=o.c.s.i.PersistableIdentifier@42}}
2026-05-19 05:31:19	DEBUG	SQLOperation	Batching statement 2 times
2026-05-19 05:31:19	TRACE	SQLOperation	insert into Answer_choices(answer_id, choices_id) values (?, ?) | {1={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@42, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@100}, 2={Answer_choices.answer_id=o.c.s.i.PersistableIdentifier@42, Answer_choices.choices_id=o.c.s.i.PersistableIdentifier@200}}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@42]
2026-05-19 05:31:19	TRACE	SQLOperation	select Answer.comment as Answer_comment, Answer.id as Answer_id, Answer_choices_Choice.label as Answer_choices_Choice_label, Answer_choices_Choice.id as Answer_choices_Choice_id from Answer left outer join Answer_choices as Answer_choices on Answer.id = Answer_choices.answer_id left outer join Choice as Answer_choices_Choice on Answer_choices.choices_id = Answer_choices_Choice.id where Answer.id in (?) | {1=o.c.s.i.PersistableIdentifier@42}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	TRACE	SQLOperation	select comment from Answer where id = 42 | {}
2026-05-19 05:31:19	TRACE	SQLOperation	select label from Choice where id = 100 | {}
2026-05-19 05:31:19	DEBUG	SimpleRelationalEntityPersister	selecting entities [o.c.s.i.PersistableIdentifier@42]
2026-05-19 05:31:19	TRACE	SQLOperation	select Answer.comment as Answer_comment, Answer.id as Answer_id, Answer_choices_Choice.label as Answer_choices_Choice_label, Answer_choices_Choice.id as Answer_choices_Choice_id from Answer left outer join Answer_choices as Answer_choices on Answer.id = Answer_choices.answer_id left outer join Choice as Answer_choices_Choice on Answer_choices.choices_id = Answer_choices_Choice.id where Answer.id in (?) | {1=o.c.s.i.PersistableIdentifier@42}
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Creating instance with o.c.s.e.r.l.JoinRoot$JoinRootRowConsumer entityType=o.c.s.e.m.s.Answer
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.PassiveJoinNode$PassiveJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	DEBUG	EntityTreeInflater	Consuming o.c.s.e.r.l.RelationJoinNode$DefaultRelationJoinRowConsumer on object o.c.s.e.m.s.Answer#o.c.s.i.PersistedIdentifier@42
2026-05-19 05:31:19	TRACE	SQLOperation	select label from Choice where id = 100 | {}
]]></system-out>
  </testcase>
</testsuite>